import { MigrationInterface, QueryRunner, TableColumn } from "typeorm";

export class ProtocolBase1728037129072 implements MigrationInterface {
  name = "ProtocolBase1728037129072";

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.addColumn(
      "protocol",
      new TableColumn({
        name: "starttime",
        type: "timestamp",
        isNullable: false,
      })
    );
    await queryRunner.addColumn(
      "protocol",
      new TableColumn({
        name: "endtime",
        type: "timestamp",
        isNullable: false,
      })
    );
    await queryRunner.addColumn(
      "protocol",
      new TableColumn({
        name: "summary",
        type: "text",
        isNullable: false,
      })
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.dropColumn("protocol", "summary");
    await queryRunner.dropColumn("protocol", "endtime");
    await queryRunner.dropColumn("protocol", "starttime");
  }
}
